$| = 1;
use strict;

my $wday = "";
my $day = "";
my $month = "";
my $year = "";
my $msg = "";
my $monnum = "";
my $monat = "";
my %months = (	"Januar" => "01",
		"Februar" => "02",
		"M&auml;rz" => "03",
		"April" => "04",
		"Mai" => "05",
		"Juni" => "06",
		"Juli" => "07",
		"August" => "08",
		"September" => "09",
		"Oktober" => "10",
		"November" => "11",	
		"Dezember" => "12");

while(<>) {
	if (m|\<td\>\<b\>\<font color="#FFFFFF">(.*), (\d{1,2})\. (.*) (\d{4,4}) (\d{1,2}):(\d{1,2}) Uhr|) {
		$wday = $1;
		$day = $2;
		if ($day < 10 && !($day =~ /0\d/)) {$day = "0$day";}
		$month = $3;
		$year = $4;
	}
	if (m|\<h3\>(.*)\</h3\>|) {
		$msg = $1;
		$msg =~ s/&uuml;/ü/g;
		$msg =~ s/&auml;/ä/g;
		$msg =~ s/&ouml;/ö/g;
		$msg =~ s/&Uuml;/Ü/g;
		$msg =~ s/&Auml;/Ä/g;
		$msg =~ s/&Ouml;/Ö/g;
		$msg =~ s/&szlig;/ß/g;	
		foreach $monat (keys %months) {
			$monnum = $months{$monat} if $month =~ /$monat/;
		}
		print "DeBUG~$year-$monnum-$day~$msg~http://www.beusergroup.de\r\n";
	}
}
